Skip to main content
`Ctrl`+`K`

# dtype_info_name

astropy.utils.data_info.dtype_info_name(dtype)

  Return a human-oriented string name of the `dtype` arg. This can be use by astropy methods that present type information about a data object.

  The output is mostly equivalent to `dtype.name` which takes the form <type_name>[B] where <type_name> is like `int` or `bool` and [B] is an optional number of bits which gets included only for numeric types.

  The output is shown below for `bytes` and `str` types, with <N> being the number of characters. This representation corresponds to the Python type that matches the dtype:

      Numpy          S<N>      U<N>
      Python      bytes<N>   str<N>

  Parameters:
    dtype `python:str`, `dtype`, type

      Input as an object that can be converted via `numpy.dtype`.

  Returns:
    dtype_info_name `python:str`

      String name of `dtype`